Last Comment Bug 173923 - @import style sheet not included in Page Info
: @import style sheet not included in Page Info
Status: NEW
:
Product: SeaMonkey
Classification: Client Software
Component: Page Info (show other bugs)
: Trunk
: x86 All
: -- enhancement (vote)
: ---
Assigned To: Daniel Brooks [:db48x]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-11 04:33 PDT by Matthijs Melchior
Modified: 2012-02-07 06:21 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Matthijs Melchior 2002-10-11 04:33:26 PDT
User-Agent:       Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.1) Gecko/20020826
Build Identifier: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.1) Gecko/20020826

The stylesheets included with the followng construct:
  <style type="text/css">
  @import url(/style/tigris.css);
  @import url(/style/scarab.css);
  </style>
are not listed in the Links tab in the Page Info window.

Reproducible: Always

Steps to Reproduce:
1. visit URL specified
2. View Page Source
3. View Page Info


Actual Results:  
The @import files are not mentioned in the Page Info

Expected Results:  
mention the @imported files as Stylesheet
Comment 1 John Levon 2002-10-11 09:41:24 PDT
confirming (no dupes found)

possibly related: bug 170143
Comment 2 Daniel Brooks [:db48x] 2002-10-11 12:35:40 PDT
now all we need to know is if this is possible. I suspect that the css dom
doesn't show any evidence that two files were imported. If this is the case, it
probably wont be easy to fix this bug. Anyone know for sure?
Comment 3 Boris Zbarsky [:bz] 2002-10-11 20:02:53 PDT
The CSS DOM has all sorts of info in this case.  ;)  From the <style> you can
get .sheet (see
http://www.w3.org/TR/DOM-Level-2-Style/stylesheets.html#StyleSheets-LinkStyle).
 That gives you a CSSStyleSheet
(http://www.w3.org/TR/DOM-Level-2-Style/css.html#CSS-CSSStyleSheet).  You get
its .cssRules (see
http://www.w3.org/TR/DOM-Level-2-Style/css.html#CSS-CSSRuleList) and can walk it
looking for rules that have .type == CSSRule.IMPORT_RULE (see
http://www.w3.org/TR/DOM-Level-2-Style/css.html#CSS-CSSRule).

Once you know a rule is an @import rule,
http://www.w3.org/TR/DOM-Level-2-Style/css.html#CSS-CSSImportRule should have
all the properties you need to get the href and the child sheet (which you could
walk recursively if you want).

Alternately, you could put stylesheets in a separate tab and use
document.styleSheets to show <link>, Link:, <meta http-equiv="link">, and
<style> stylesheets.... (because @import is _not_ a "link" in my mind any more
than <img> or <script> is).
Comment 4 Robert Kaiser (not working on stability any more) 2009-06-14 15:52:23 PDT
MASS-CHANGE:
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 5 Robert Kaiser (not working on stability any more) 2009-06-14 15:56:29 PDT
MASS-CHANGE:
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 6 Robert Kaiser (not working on stability any more) 2009-06-14 15:56:54 PDT
MASS-CHANGE:
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 7 Philip Chee 2009-06-18 02:09:38 PDT
Reopening
Comment 8 Philip Chee 2012-02-07 06:21:58 PST
FYI the JSView extension supplies more tabs to the PageInfo window including a StyleSheets tab that shows @import ed stylesheets.

Note You need to log in before you can comment on or make changes to this bug.